class ChainOfResponsibilityMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Łańcuch zobowiązań, inicjalizacja pojazdu");
        var engineSystem = new EngineSystem();
        var driverSystem = new DriverSystem();
        var transmissionSystem = new TransmissionSystem();

        driverSystem.setNext(transmissionSystem);
        transmissionSystem.setNext(engineSystem);

        driverSystem.powerOn();
    }
}
